:class:`psychopy.visual.ShapeStim`
----------------------------------

ShapeStim is the base class for drawing lines and polygons.

Overview
========

.. currentmodule:: psychopy.visual.shape

.. autosummary::
    ShapeStim
    ShapeStim.units
    ShapeStim.lineWidth
    ShapeStim.lineColor
    ShapeStim.fillColor
    ShapeStim.colorSpace
    ShapeStim.vertices
    ShapeStim.windingRule
    ShapeStim.closeShape
    ShapeStim.pos
    ShapeStim.size
    ShapeStim.ori
    ShapeStim.opacity
    ShapeStim.contrast
    ShapeStim.depth
    ShapeStim.interpolate
    ShapeStim.lineRGB
    ShapeStim.fillRGB
    ShapeStim.name
    ShapeStim.autoLog
    ShapeStim.autoDraw
    ShapeStim.color
    ShapeStim.lineColorSpace
    ShapeStim.fillColorSpace

Details
=======

.. autoclass:: ShapeStim
    :members:
    :inherited-members:

